/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("com.ibm.team.repository.web.ui.internal.Util");

dojo.require("com.ibm.team.repository.web.client.init.InitializationData");

var InitializationData = com.ibm.team.repository.web.client.init.InitializationData;

com.ibm.team.repository.web.ui.internal.Util = {
	userIsAdmin: function() {
		var permissionInitializer = InitializationData.get("com.ibm.team.repository.service.canGrantPermissionInitializer");
		if (permissionInitializer != null && permissionInitializer.canGrantPermission) {
			return true;
		} else {
			return false;
		}
	},
	isAdminUI: function() {
		var jazzBaseUrl = dojo.baseUrl.replace(/[^\/]*\/[^\/]*\/$/,"");
		if (document.location.pathname.indexOf(jazzBaseUrl + "admin") >= 0) {
			return true;
		}
		else {
			return false;
		}
	},
	isProjectAreaApplication: function() {
		var jazzBaseUrl = dojo.baseUrl.replace(/[^\/]*\/[^\/]*\/$/,"");
		
		if (document.location.pathname.indexOf(jazzBaseUrl + "web/") >= 0 || document.location.pathname.indexOf(jazzBaseUrl + "admin") >= 0) {
			return false;
		} else {
			return true;
		}
	}
};

var EVENTS_ROOT = "com.ibm.team.repository.web.internal.events";
dojo.setObject(EVENTS_ROOT, {
	licenseChange: EVENTS_ROOT + ".licensesChanged"
});

})();